Bug 592727 - [abrt] crash in audacity-1.3.11-0.1.beta.fc12: pa_atomic_store: Process /usr/bin/audacity was killed by signal 7 (SIGBUS)
Summary: [abrt] crash in audacity-1.3.11-0.1.beta.fc12: pa_atomic_store: Process /usr/...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio   
(Show other bugs)
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:44cee10b7d05113b2cacec544fb...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-16 15:00 UTC by Retlaw Dlawso
Modified: 2010-12-03 14:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 14:40:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.22 KB, text/plain)
2010-05-16 15:00 UTC, Retlaw Dlawso
no flags Details

Description Retlaw Dlawso 2010-05-16 15:00:30 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: audacity
component: audacity
crash_function: pa_atomic_store
executable: /usr/bin/audacity
global_uuid: 44cee10b7d05113b2cacec544fb45d99cec5f62e
kernel: 2.6.32.11-99.fc12.x86_64
package: audacity-1.3.11-0.1.beta.fc12
rating: 4
reason: Process /usr/bin/audacity was killed by signal 7 (SIGBUS)
release: Fedora release 12 (Constantine)

Comment 1 Retlaw Dlawso 2010-05-16 15:00:34 UTC
Created attachment 414364 [details]
File: backtrace

Comment 2 Retlaw Dlawso 2010-05-17 18:54:36 UTC
Package: audacity-1.3.11-0.1.beta.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.started qjackctl 
2.listen music from vinyl record turntable/amplifier
3.just opened audacity, crash

Comment 3 Retlaw Dlawso 2010-05-22 19:23:03 UTC
Package: audacity-1.3.11-0.1.beta.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.startetd terminal with alsamixer v1.0.22
2.started Jack Audio Connection Kit
3.wanted to start audacity-1.3.11-0.1.beta.fc12, no window, immediate crash report

Comment 4 Michael Schwendt 2010-05-24 10:16:51 UTC
That's something within Pulse Audio.

Note that JACK support in Audacity may be dropped in future releases, if nobody helps the Audacity developers with testing and improving it.

Comment 5 David Timms 2010-08-15 14:11:48 UTC
(In reply to comment #3)
> 3.wanted to start audacity-1.3.11-0.1.beta.fc12, no window, immediate crash
> report
Are you able to reproduce this issue when starting audacity-1.3.12-0.4.beta for fc12/13/14 ?

It's possible that the bug has been fixed in the current beta or was a problem with one of audacity's supporting libraries that has since been updated.

Should you find that you can reproduce this identical issue with 1.3.12, please update this bug, setting the Fedora release and indicating the audacity version.
Otherwise you can close it as errata (ie fix in updates repository).

Comment 6 Bug Zapper 2010-11-03 14:47:57 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Retlaw Dlawso 2010-11-06 15:46:53 UTC
Yes, close this bug; the newest Fedora versions are ever in use, anyway. Thanks.

Comment 8 Bug Zapper 2010-12-03 14:40:00 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.